function SceneChangePhoneNumberSelect(options) {

	this.options			= options;

	this.ChangePhoneNumberView = null;
	this.ChangePhoneNumberPopupView = null;
	this.ChangePhoneNumberListDim = null;
	this.ChangePhoneNumberList	= null;
	
	//for list
	this.PhoneNumberArray	= new Array(3);
	this.MenuStringArray	= new Array(3);
	
	//to save data for popup
	this.MenuLabelArray		= new Array(3);		
	this.MenuIndexArray		= new Array(3);		//Assigned Index Array
	this.PhoneNumberLabel	= new Array(3);
			
	this.CallerScene		= null;

	this.TargetIdentity		= null;
	this.TotalItemNumber	= null;
	
	this.AssignedNumber1	= null;	
	this.AssignedNumber2	= null;	
	this.AssignedNumber3	= null;
	
	this.AssignedLabel1		= null;	
	this.AssignedLabel2		= null;	
	this.AssignedLabel3		= null;

	this.CloseBtn			= null;

	this.IsAddMassage		= false;
	this.LastItemSmallized  = false;
	this.NumOfAssignedLabel = 0;
	this.BGStyleIndex = 0;
	this.PrevIndex = -1;

	//for reverse osd
	this.IsReverseOSD = false;
	this.changedFontIndex = 0;	
	
}

var ChangePhoneNumberSelectPopupBGStyle = ["ChangePhoneNumberSelectBG_1_Items",
								"ChangePhoneNumberSelectBG_2_Items", 
								"ChangePhoneNumberSelectBG_3_Items", 
								"ChangePhoneNumberSelectBG_4_Items", 
								];
var ChangePhoneNumberSelectBGStyle = ["ChangePhoneNumberSelect_1_Items", 
							"ChangePhoneNumberSelect_2_Items", 
							"ChangePhoneNumberSelect_3_Items", 
							"ChangePhoneNumberSelect_4_Items", 
							];

SceneChangePhoneNumberSelect.prototype.initialize = function () {
	alert("SceneChangePhoneNumberSelect.initialize()");	
	//nothing!!s
	this.create();
}

SceneChangePhoneNumberSelect.prototype.handleShow = function () {
	alert("SceneChangePhoneNumberSelect.handleShow()");
	
	this.ChangePhoneNumberListDim.show();
	this.ResetListData();
	this.GetPhoneInfo();
	this.SetListData();
	this.SetBGstyle();
	this.SetPosition();

	this.ChangePhoneNumberList.Show();

}

SceneChangePhoneNumberSelect.prototype.handleHide = function () {
	alert("SceneChangePhoneNumberSelect.handleHide()");

	this.ResetBGstyle();
	this.ChangePhoneNumberList.Hide();

	if(this.LastItemSmallized == true)
	{
		$("#changePhoneNumberListItem3").css("height","44px");
		this.LastItemSmallized = false;
	}
	
	this.AdjustTextFont(-1);
	
	if(this.IsReverseOSD == true && this.IsAddMassage == true)
	{
		var TextObj = "#changePhoneNumberListItem" + this.TotalItemNumber + "Text";
		$(TextObj).css('left', "61px" );
		$(TextObj).css('width', "128px" ); 
	}	
}

SceneChangePhoneNumberSelect.prototype.handleFocus = function () {
	alert("SceneChangePhoneNumberSelect.handleFocus()");

	this.ChangePhoneNumberList.highlight();
	
//	this.HelpBar.visibleObj();
}

SceneChangePhoneNumberSelect.prototype.handleBlur = function () {
	alert("SceneChangePhoneNumberSelect.handleBlur()");
	
	this.ChangePhoneNumberList.blur();
	
//	this.HelpBar.hiddenObj();
}

SceneChangePhoneNumberSelect.prototype.handleKeyDown = function (keyCode) {
	
	alert("SceneChangePhoneNumberSelect.handleKeyDown(" + keyCode + ")"); 
	PluginAPIMgr.PlayAudio(keyCode);
	if(ProcMgr.checkWidgetHighlight()==false){
		return;
	}
	if(keyCode == sf.key.TOOLS) {
		this.processToolKey();	
		sf.key.preventDefault();
	} else {
		if((keyCode == sf.key.DOWN) && (this.ChangePhoneNumberList.GetCurrentDataIndex() == this.ChangePhoneNumberList.GetNumOfVisibleItem()-1)) {
	alert("SceneChangePhoneNumberSelect.handleKeyDown : sf.key.DOWN(" + keyCode + ")"); 
			this.CloseBtn.highlight();
			this.ChangePhoneNumberList.blur();
		} else if((keyCode == sf.key.UP) && this.CloseBtn.flagHighlight() == true) {
				this.CloseBtn.blur();
				this.ChangePhoneNumberList.highlight(this.ChangePhoneNumberList.GetNumOfVisibleItem()-1); // GetMaxNumOfData
		} else if((keyCode == sf.key.ENTER) && this.CloseBtn.flagHighlight() == true) {
				this.CloseBtn.blur();
				this.ProcessKeyReturn();
		} else {
//			if((keyCode == sf.key.RETURN || keyCode == sf.key.EXIT) && this.CloseBtn.flagHighlight() == true)
	alert("SceneChangePhoneNumberSelect.handleKeyDown : sf.key.AnyKey(" + keyCode + ")"); 
				this.CloseBtn.blur();

			this.ChangePhoneNumberList.KeyProcess(keyCode, true);
		}
	}
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////

SceneChangePhoneNumberSelect.prototype.create = function()
{
    alert("SceneChangePhoneNumberSelect.createList() ");
	
    this.ChangePhoneNumberView = new View("ChangePhoneNumberSelect");
    this.ChangePhoneNumberPopupView = new View("ChangePhoneNumberSelectBG");

	this.ChangePhoneNumberListDim = new DimBg("ChangePhoneNumberSelectDim", "ChangePhoneNumberSelect");

	this.ChangePhoneNumberList = new MenuList();
	this.ChangePhoneNumberList.CreateBG("changePhoneNumberList", "divide");
	this.ChangePhoneNumberList.SetNumOfVisibleItem(3);	//Set Max Item
	//this.ChangePhoneNumberList.SetStartDataIndex(0);	
	this.ChangePhoneNumberList.SetItemClass(MenuListItem);	
	this.ChangePhoneNumberList.SetItemBgImage(ITEM_STATE.NORMAL,g_Image.IMAGE_CHANGE_PASSWORD_INPUTBOX_NORMAL);
	this.ChangePhoneNumberList.SetItemBgImage(ITEM_STATE.HIGHLIGHT,g_Image.IMAGE_CHANGE_PASSWORD_INPUTBOX_NORMALFOCUS); // FG_BG_TEXT  
	this.ChangePhoneNumberList.SetItemDefualtTextStyle(ITEM_STATE.NORMAL,"cChangePhoneNumberList_Text_Normal");
	this.ChangePhoneNumberList.SetItemDefualtTextStyle(ITEM_STATE.HIGHLIGHT,"cChangePhoneNumberList_Text_Highlight");
	this.ChangePhoneNumberList.SetItemDisableTextStyle("cChangePhoneNumberList_Text_Disable");	
	this.ChangePhoneNumberList.SetDataType(ITEM_DATA_TYPE.IMAGE_TEXT);

	var scene = sf.scene.get("ChangePhoneNumberSelect");	

	this.ChangePhoneNumberList.SetEventOnLeftFunc(scene.ProcessKeyLeft);
	this.ChangePhoneNumberList.SetEventOnRightFunc(scene.ProcessKeyRight);	
	this.ChangePhoneNumberList.SetEventOnReturnFunc(scene.ProcessKeyReturn);
	this.ChangePhoneNumberList.SetItemPressedEventCallback(scene.ProcessKeyEnter);	

	this.ChangePhoneNumberList.SetOnClickCallbackFunc(0,this.onClickEventFunc1);
	this.ChangePhoneNumberList.SetOnClickCallbackFunc(1,this.onClickEventFunc2);
	this.ChangePhoneNumberList.SetOnClickCallbackFunc(2,this.onClickEventFunc3);

	this.ChangePhoneNumberList.SetOnMouseOverCallbackFunc(0, function(){scene.processMouseOver(0);});
	this.ChangePhoneNumberList.SetOnMouseOverCallbackFunc(1, function(){scene.processMouseOver(1);});
	this.ChangePhoneNumberList.SetOnMouseOverCallbackFunc(2, function(){scene.processMouseOver(2);});

	this.ChangePhoneNumberList.SetClickEventAvailable(WndMgr.MouseClickEnable, true);
	
	this.CloseBtn = new Button();
	this.CloseBtn.SetImageObjId("ChangePhoneNumberList_close_btn", 20);
	this.CloseBtn.SetBgImage(BtnImgIndex.BTN_NORMAL_IMG, g_Image.IMAGE_POPUP_BTN_NORMAL);
	this.CloseBtn.SetBgImage(BtnImgIndex.BTN_NORMAL_FOCUS_IMG, g_Image.IMAGE_POPUP_BTN_NORMALFOCUS);
	this.CloseBtn.SetTextObjId("ChangePhoneNumberList_close_btn_text");
	this.CloseBtn.SetText(SID_CANCEL);
	this.CloseBtn.SetTextStyle(BtnTextStyleIndex.BTN_TEXT_NORMAL_STYLE, "popup_btn_text_normal_style");
	this.CloseBtn.SetTextStyle(BtnTextStyleIndex.BTN_TEXT_FOCUS_STYLE, "popup_btn_text_focus_style");
	this.CloseBtn.SetTextStyle(BtnTextStyleIndex.BTN_TEXT_DIM_STYLE, "popup_btn_text_dimmed_style");
	this.CloseBtn.SetOnClickCallbackFunc(scene.ProcessKeyReturn);
	this.CloseBtn.SetOnMouseOverCallbackFunc(function(){scene.ChangePhoneNumberList.blur(); scene.CloseBtn.highlight();});

	this.PhoneNumberLabel[0] = new Label(null,"changePhoneNumberListItem1Label");
	this.PhoneNumberLabel[1] = new Label(null,"changePhoneNumberListItem2Label");
	this.PhoneNumberLabel[2] = new Label(null,"changePhoneNumberListItem3Label");

	this.CheckReverseOSD();
	if(this.IsReverseOSD == true)
	{
		this.ChangePhoneNumberList.DisableReverse();
	}
}

SceneChangePhoneNumberSelect.prototype.SetBGstyle = function(){ 
	alert("SceneChangePhoneNumberSelect.SetBGstyle() : BGStyleIndex( "+this.BGStyleIndex+" )");

	var Scene = sf.scene.get(WndMgr.GetMainSubSceneID());
	$("#"+this.ChangePhoneNumberView.GetObjId()).addClass(ChangePhoneNumberSelectBGStyle[this.BGStyleIndex]);

	this.ChangePhoneNumberPopupView.CreatePopupBG(0,ChangePhoneNumberSelectPopupBGStyle[this.BGStyleIndex]);
	this.ChangePhoneNumberPopupView.SetTitleTextofPopupBG(TV_SID_SELECT_PHONE_NUMBER);
}

SceneChangePhoneNumberSelect.prototype.ResetBGstyle = function(){
	$("#"+this.ChangePhoneNumberView.GetObjId()).removeClass();
	
	this.ChangePhoneNumberPopupView.RemovePopupBG();
}

SceneChangePhoneNumberSelect.prototype.SetListData = function()
{
	alert("SceneChangePhoneNumberSelect.SetListData()");

	//1. Set total item number 
	this.SetPhoneNumberArray();
	
	var tempdata = new Array(this.TotalItemNumber);
	 		
	for(var i=0; i < this.TotalItemNumber; i++)
	{		
		tempdata[i] = [this.PhoneNumberArray[i],null,null];
	}
	
	var NumOfCreatedItem = this.ChangePhoneNumberList.GetNumOfCreatedItem();


	if(this.TotalItemNumber > NumOfCreatedItem)
	{
		
		for(i=0; i < NumOfCreatedItem; i++)
		{
			this.ChangePhoneNumberList.ChangeData(i,tempdata[i]);
			this.PhoneNumberLabel[i].SetText(this.MenuStringArray[i]);
		}
				
		for(i = NumOfCreatedItem; i < this.TotalItemNumber; i++)
		{
			this.ChangePhoneNumberList.AddData(tempdata[i]);
			this.PhoneNumberLabel[i].SetText(this.MenuStringArray[i]);
		}
				
	}
	else
	{
		for(i=0; i < this.TotalItemNumber; i++)
		{			
			this.ChangePhoneNumberList.ChangeData(i,tempdata[i]);
			this.PhoneNumberLabel[i].SetText(this.MenuStringArray[i]);
		}			
	}
	
	if(this.IsReverseOSD == true)
	{
		alert("TotalItemNumber = " + this.TotalItemNumber);
		if(this.IsAddMassage == true)
		{
			var TextObj = "#changePhoneNumberListItem" + this.TotalItemNumber + "Text";
			alert("TextObj = " + TextObj);
			$(TextObj).css('left', "11px" );
			$(TextObj).css('width', "178px" ); 
		}
	}

	//Item show && hide!!!
	this.ChangePhoneNumberList.SetNumOfMaxItem(this.TotalItemNumber);
	this.ChangePhoneNumberList.ShowItem();
}

SceneChangePhoneNumberSelect.prototype.SetPhoneNumberArray = function(IsReverse)
{
	alert("SceneChangePhoneNumberSelect.SetPhoneNumberArray()");	
			
	var PNAIndex	= 0;
	var TotalCount	= 0;
	
	var bUseFirstIndex = false;
	var bUseSecondIndex = false;
	var bUseThirdIndex = false;
	
	//1. Mobile
	if(this.AssignedLabel1 == "mobile")
	{
		this.MenuLabelArray[PNAIndex] = 1;
		this.MenuIndexArray[PNAIndex] = 1;		
				
		this.PhoneNumberArray[PNAIndex] = this.AssignedNumber1;
		this.MenuStringArray[PNAIndex++] = IDWS_MOIP_MOBILE;
					
		bUseFirstIndex = true;
		
		TotalCount++;
	}
	if(this.AssignedLabel2 == "mobile")
	{
		this.MenuLabelArray[PNAIndex] = 1;
		this.MenuIndexArray[PNAIndex] = 2;
				
		this.PhoneNumberArray[PNAIndex] = this.AssignedNumber2;
		this.MenuStringArray[PNAIndex++] = IDWS_MOIP_MOBILE;
				
		bUseSecondIndex = true;
		
		TotalCount++;
	}
	if(this.AssignedLabel3 == "mobile")
	{
		this.MenuLabelArray[PNAIndex] = 1;
		this.MenuIndexArray[PNAIndex] = 3;
				
		this.PhoneNumberArray[PNAIndex] = this.AssignedNumber3;
		this.MenuStringArray[PNAIndex++] = IDWS_MOIP_MOBILE;

		bUseThirdIndex = true;
		
		TotalCount++;

	}
		
	//2. Office
	if(this.AssignedLabel1 == "office")
	{
		this.MenuLabelArray[PNAIndex] = 2;
		this.MenuIndexArray[PNAIndex] = 1;
				
		this.PhoneNumberArray[PNAIndex] = this.AssignedNumber1;
		this.MenuStringArray[PNAIndex++] = IDWS_MOIP_OFFICE;
				
		bUseFirstIndex = true;
		
		TotalCount++;
	}
	if(this.AssignedLabel2 == "office")
	{
		this.MenuLabelArray[PNAIndex] = 2;
		this.MenuIndexArray[PNAIndex] = 2;
				
		this.PhoneNumberArray[PNAIndex] = this.AssignedNumber2;
		this.MenuStringArray[PNAIndex++] = IDWS_MOIP_OFFICE;
		
		bUseSecondIndex = true;
		
		TotalCount++;
	}
	if(this.AssignedLabel3 == "office")
	{
		this.MenuLabelArray[PNAIndex] = 2;
		this.MenuIndexArray[PNAIndex] = 3;
				
		this.PhoneNumberArray[PNAIndex] = this.AssignedNumber3;	
		this.MenuStringArray[PNAIndex++] = IDWS_MOIP_OFFICE;
		
		bUseThirdIndex = true;
		
		TotalCount++;
	}
	
	//3. Home
	if(this.AssignedLabel1 == "home")
	{
		this.MenuLabelArray[PNAIndex] = 3;
		this.MenuIndexArray[PNAIndex] = 1;		
		
		this.PhoneNumberArray[PNAIndex] = this.AssignedNumber1;
		this.MenuStringArray[PNAIndex++] = SID_HOME_KR_HOMEPHONE;
		
		bUseFirstIndex = true;
				
		TotalCount++;
	}
	if(this.AssignedLabel2 == "home")
	{
		this.MenuLabelArray[PNAIndex] = 3;
		this.MenuIndexArray[PNAIndex] = 2;
		
		this.PhoneNumberArray[PNAIndex] = this.AssignedNumber2;
		this.MenuStringArray[PNAIndex++] = SID_HOME_KR_HOMEPHONE;

		bUseSecondIndex = true;
		
		TotalCount++;
	}
	if(this.AssignedLabel3 == "home")
	{
		this.MenuLabelArray[PNAIndex] = 3;
		this.MenuIndexArray[PNAIndex] = 3;		
		
		this.PhoneNumberArray[PNAIndex] = this.AssignedNumber3;	
		this.MenuStringArray[PNAIndex++] = SID_HOME_KR_HOMEPHONE;
		
		bUseThirdIndex = true;
		
		TotalCount++;
	}
			
	//4. other
	if(this.AssignedLabel1 == "other")
	{
		this.MenuLabelArray[PNAIndex] = 4;
		this.MenuIndexArray[PNAIndex] = 1;		
		
		this.PhoneNumberArray[PNAIndex] = this.AssignedNumber1;
		this.MenuStringArray[PNAIndex++] = SID_COUNTRY_OTHER;
	
		bUseFirstIndex = true;
		
		TotalCount++;
	}
	if(this.AssignedLabel2 == "other")
	{
		this.MenuLabelArray[PNAIndex] = 4;
		this.MenuIndexArray[PNAIndex] = 2;
		
		this.PhoneNumberArray[PNAIndex] = this.AssignedNumber2;
		this.MenuStringArray[PNAIndex++] = SID_COUNTRY_OTHER;
		
		bUseSecondIndex = true;
		
		TotalCount++;
	}
	if(this.AssignedLabel3 == "other")
	{
		this.MenuLabelArray[PNAIndex] = 4;
		this.MenuIndexArray[PNAIndex] = 3;		
		
		this.PhoneNumberArray[PNAIndex] = this.AssignedNumber3;	
		this.MenuStringArray[PNAIndex++] = SID_COUNTRY_OTHER;

		bUseThirdIndex = true;
		
		TotalCount++;
	}
	
	//Set NumOfAssignedLabel
	//Index of Added PhoneNumber

	if(bUseFirstIndex == false)
	{
		this.NumOfAssignedLabel = 1;
	}
	else if(bUseFirstIndex == true && bUseSecondIndex == false)
	{
		this.NumOfAssignedLabel = 2;
	}
	else if(bUseFirstIndex == true && bUseSecondIndex == true && bUseThirdIndex == false)
	{
		this.NumOfAssignedLabel = 3;
	}
	else 
	{
		this.NumOfAssignedLabel = 4;
	}
	
	alert("NumOfAssignedLabel = " + this.NumOfAssignedLabel);	

	this.TotalItemNumber = TotalCount;
	this.BGStyleIndex = this.TotalItemNumber;
	alert("TotalItemNumber = " + this.TotalItemNumber);

}

SceneChangePhoneNumberSelect.prototype.ResetListData = function()
{	
	alert("SceneChangePhoneNumberSelect.ResetListData");
	
	var tempdata = [null, null, null];
	
	for(var i=0; i < 3; i++)
	{			
		this.ChangePhoneNumberList.ChangeData(i,tempdata);
		this.MenuLabelArray[i] = 0;
		this.MenuIndexArray[i] = 0;	
		this.PhoneNumberArray[i] = null;
		this.MenuStringArray[i] = null;
		this.PhoneNumberLabel[i].SetText(""); 
	}
	this.TotalItemNumber = 0;
	this.NumOfAssignedLabel = 0;
	this.IsAddMassage = false;
	
}


SceneChangePhoneNumberSelect.prototype.SetInfo = function(SceneName,SkypeName){ // SceneName,ItemPosition,
	
	alert("SceneListMainContact.SetInfo >>>  CallerScene : " + SceneName);
	
	this.TargetIdentity = SkypeName;
		
	this.CallerScene = SceneName;
}

SceneChangePhoneNumberSelect.prototype.SetPosition = function(){
	
	alert("SceneChangePhoneNumberSelect.SetPosition ");

	var PhoneNumberListTop = 212-(30*this.TotalItemNumber)+"px";
	var CloseBtnBgTop = 116+(60*this.TotalItemNumber);
	var CloseBtnTxtTop = CloseBtnBgTop + 11;

	CloseBtnBgTop += "px";
	CloseBtnTxtTop += "px";
	alert("BgTop : " + PhoneNumberListTop);	
	
	$("#"+ this.ChangePhoneNumberList.GetBGLayer().Obj).css('top', PhoneNumberListTop );		
	$("#"+ this.CloseBtn.GetObjId()).css('top', CloseBtnBgTop );		
	
}


SceneChangePhoneNumberSelect.prototype.GetPhoneInfo = function(){
	
	alert("SceneChangePhoneNumberSelect.GetPhoneInfo");
	
	// this.TargetIdentity = g_Data.DATA_PHONE_NUMBER_INFO.Name;
	var ContactName = this.TargetIdentity;

	this.AssignedLabel1		= PluginAPIMgr.GetAssignedPhoneNumberWithName(ContactName,2);
	this.AssignedLabel2		= PluginAPIMgr.GetAssignedPhoneNumberWithName(ContactName,4);
	this.AssignedLabel3		= PluginAPIMgr.GetAssignedPhoneNumberWithName(ContactName,6);


	alert("AssignedPhone1Label = " + this.AssignedLabel1);
	alert("AssignedPhone2Label = " + this.AssignedLabel2);
	alert("AssignedPhone3Label = " + this.AssignedLabel3);	
			
	if(this.AssignedLabel1 != null && this.AssignedLabel1 != "none")
	{
		this.AssignedNumber1 = PluginAPIMgr.GetAssignedPhoneNumberWithName(ContactName,1);
		alert("this.AssignedNumber1 = " + this.AssignedNumber1);
	}
	else
	{
		this.AssignedNumber1 = null;
		this.AssignedLabel1 = "none";
	}

	if(this.AssignedLabel2 != null && this.AssignedLabel2 != "none")
	{
		this.AssignedNumber2 = PluginAPIMgr.GetAssignedPhoneNumberWithName(ContactName,3);
		alert("this.AssignedNumber2 = " + this.AssignedNumber2);
	}
	else
	{
		this.AssignedNumber2 = null;
		this.AssignedLabel2 = "none";
	}
	
	if(this.AssignedLabel3 != null && this.AssignedLabel3 != "none")
	{
		this.AssignedNumber3 = PluginAPIMgr.GetAssignedPhoneNumberWithName(ContactName,5);
		alert("this.AssignedNumber3 = " + this.AssignedNumber3);
	}
	else
	{
		this.AssignedNumber3 = null;		
		this.AssignedLabel3 = "none";
	}
		 	
}

SceneChangePhoneNumberSelect.prototype.ProcessKeyReturn = function(){

	alert("SceneChangePhoneNumberSelect.ProcessKeyReturn() ");
	
	var this_ = sf.scene.get("ChangePhoneNumberSelect");	
	var returnScene = sf.scene.get(this_.CallerScene);


	/*
	sf.scene.focus(this_.CallerScene);
		returnScene.Activation();*/
	
	//sf.scene.hide('ChangePhoneNumberSelect');
	StateMgr.Stop_Change_Phone_Number_Select_State(true);
	
//	StateMgr.Stop_Change_Phone_Number_State(true);
//	sf.key.preventDefault();
	
	//Check....
//	var scene = sf.scene.get(WndMgr.GetMainSubSceneID());	
//	scene.Activation();	
}

SceneChangePhoneNumberSelect.prototype.labelString = function(label) {
	alert("SceneChangePhoneNumberSelect.labelString : " + label);

	if(label == IDWS_MOIP_MOBILE)
		return 'mobile';
	else if(label == IDWS_MOIP_OFFICE)
		return 'office';
	else if(label == SID_HOME_KR_HOMEPHONE)
		return 'home';
	else if(label == SID_COUNTRY_OTHER)
		return 'other';
}

SceneChangePhoneNumberSelect.prototype.ProcessKeyEnter = function(){

	alert("SceneChangePhoneNumberSelect.ProcessKeyEnter() ");
	
	var this_ = sf.scene.get("ChangePhoneNumberSelect");
	var Index = this_.ChangePhoneNumberList.GetCurrentItem();
	var phonenumber = this_.PhoneNumberArray[Index];
	var phoneLabel = this_.labelString(this_.MenuStringArray[Index]);
	var AssignedNumber = null;
	var AssignedLabel = null;

	alert("phonenumber[" + Index + "] ="  + phonenumber + ",       phoneLabel[" + Index + "] ="  + phoneLabel);			
			
	sf.scene.hide('ChangePhoneNumberSelect');
			
	if(phonenumber){

		for(var i=1; i<7; i++) {

			AssignedNumber = PluginAPIMgr.GetAssignedPhoneNumberWithName(this_.TargetIdentity,i);
			AssignedLabel = PluginAPIMgr.GetAssignedPhoneNumberWithName(this_.TargetIdentity,++i);

			if(AssignedLabel == phoneLabel && AssignedNumber == phonenumber) {
				alert("AssignedLabel("+AssignedLabel+"), AssignedNumber("+AssignedNumber+"), i("+i+")");
				break;
			}
			AssignedNumber = null;
			AssignedLabel = null;
		}
		alert("TargetIdentity[" + this_.TargetIdentity + "] ="  + AssignedNumber + ",       phoneLabel[" + i + "] ="  + AssignedLabel);			
		StateMgr.Start_Change_Phone_Number_State(this_.TargetIdentity, i/2, phoneLabel, phonenumber);
	}
	else{

		alert(" Show Change Phone Number Error...");

		if(this.CloseBtn.flagHighlight() == true)
			this.ProcessKeyReturn();
	}	
}

SceneChangePhoneNumberSelect.prototype.ProcessKeyLeft = function(){

	alert("SceneChangePhoneNumberSelect.ProcessKeyLeft() ");
	
	return;
	var this_ = sf.scene.get("ChangePhoneNumberSelect");	
	var returnScene = sf.scene.get(this_.CallerScene);
	
	returnScene.MoveToVideoCallBtn();	
	sf.scene.focus(this_.CallerScene);
	
	//returnScene.Activation();

	sf.scene.hide('ChangePhoneNumberSelect');
		
}

SceneChangePhoneNumberSelect.prototype.ProcessKeyRight = function(){

	alert("SceneChangePhoneNumberSelect.ProcessKeyRight() ");
	
	return;
	var this_ = sf.scene.get("ChangePhoneNumberSelect");	
	var returnScene = sf.scene.get(this_.CallerScene);
	
	returnScene.MoveToVideoCallBtn();	
	sf.scene.focus(this_.CallerScene);
	
	//returnScene.Activation();

	sf.scene.hide('ChangePhoneNumberSelect');
	
}

SceneChangePhoneNumberSelect.prototype.processToolKey = function(){

	alert("SceneChangePhoneNumberSelect.processToolKey() ");
	
	var Index = this.ChangePhoneNumberList.GetCurrentItem();
	alert("Index = " + Index);
	alert("SkypName = " + this.TargetIdentity);
	alert("LabelType = " + this.MenuLabelArray[Index]);
	alert("PhoneNumber = " + this.PhoneNumberArray[Index]);	
		
	//Case 1 Add	
	if(this.MenuIndexArray[Index] == 0)
	{
		this.MenuIndexArray[Index] = this.NumOfAssignedLabel;
	}
	
	
	alert("LabelIndex = " + this.MenuIndexArray[Index]);	
		
	g_Data.SetAssignedPhoneNumberInfo(this.TargetIdentity,this.MenuIndexArray[Index],this.MenuLabelArray[Index],this.PhoneNumberArray[Index],true);	
	
	sf.scene.hide('ChangePhoneNumberSelect');
	StateMgr.Start_List_Tools_State(TOOL_MENU_LIST_TYPE.CONTACT_LIST);
}

SceneChangePhoneNumberSelect.prototype.processPhoneNumber = function(Index){

	alert("processPhoneNumber  >>  Index = " + Index);
	var this_ = sf.scene.get("ChangePhoneNumberSelect");
	var phonenumber = this_.PhoneNumberArray[Index];
	alert("phonenumber = "  + phonenumber);
		
	if(event.button == 2)
	{
		alert("right click!!");
		alert("SkypName = " + this_.TargetIdentity);
		alert("LabelType = " + this_.MenuLabelArray[Index]);
			
		//Case 1 Add	
		if(this_.MenuIndexArray[Index] == 0)
		{
			this_.MenuIndexArray[Index] = this_.NumOfAssignedLabel;
		}
				
		alert("LabelIndex = " + this_.MenuIndexArray[Index]);	
			
		g_Data.SetAssignedPhoneNumberInfo(this_.TargetIdentity,this_.MenuIndexArray[Index],this_.MenuLabelArray[Index],phonenumber,true);	
		
		sf.scene.hide('ChangePhoneNumberSelect');
		StateMgr.Start_List_Tools_State(TOOL_MENU_LIST_TYPE.CONTACT_LIST);
	}
	else
	{	
		var phoneLabel = this_.labelString(this_.MenuStringArray[Index]);
		var AssignedNumber = null;
		var AssignedLabel = null;

		alert("phonenumber[" + Index + "] ="  + phonenumber + ",       phoneLabel[" + Index + "] ="  + phoneLabel);			
				
		sf.scene.hide('ChangePhoneNumberSelect');
				
		if(phonenumber){

			for(var i=1; i<7; i++) {

				AssignedNumber = PluginAPIMgr.GetAssignedPhoneNumberWithName(this_.TargetIdentity,i);
				AssignedLabel = PluginAPIMgr.GetAssignedPhoneNumberWithName(this_.TargetIdentity,++i);

				if(AssignedLabel == phoneLabel && AssignedNumber == phonenumber) {
					alert("AssignedLabel("+AssignedLabel+"), AssignedNumber("+AssignedNumber+"), i("+i+")");
					break;
				}
				AssignedNumber = null;
				AssignedLabel = null;
			}

			alert("TargetIdentity[" + this_.TargetIdentity + "] ="  + AssignedNumber + ",       phoneLabel[" + i + "] ="  + AssignedLabel);			
			StateMgr.Start_Change_Phone_Number_State(this_.TargetIdentity, i/2, phoneLabel, phonenumber);
		}
	}	
}

SceneChangePhoneNumberSelect.prototype.processMouseOver = function(ItemIndex)
{
	alert("SceneChangePhoneNumberSelect.processMouseOver --" + ItemIndex);

	var currentHighlight = this.ChangePhoneNumberView.getCurrentHighlight();
	if(currentHighlight != this.ChangePhoneNumberList) {
		this.CloseBtn.blur();
		this.PrevIndex = -1;
	}
		
	if(ItemIndex < 0 || ItemIndex > 2 || this.PrevIndex == ItemIndex)
	{
		alert("ItemIndex only 0~2, and PrevIndex == ItemIndex"); 
		return;
	}

	this.PrevIndex = ItemIndex;
	this.ChangePhoneNumberList.highlight(ItemIndex);
}

SceneChangePhoneNumberSelect.prototype.onClickEventFunc1 = function(){
	alert("SceneChangePhoneNumberSelect.onClickEventFunc1() ");

	var This_ = sf.scene.get("ChangePhoneNumberSelect");
	This_.processPhoneNumber(0);
}

SceneChangePhoneNumberSelect.prototype.onClickEventFunc2 = function(){
	alert("SceneChangePhoneNumberSelect.onClickEventFunc2() ");

	var This_ = sf.scene.get("ChangePhoneNumberSelect");
	This_.processPhoneNumber(1);	
}

SceneChangePhoneNumberSelect.prototype.onClickEventFunc3 = function(){
	alert("SceneChangePhoneNumberSelect.onClickEventFunc3() ");

	var This_ = sf.scene.get("ChangePhoneNumberSelect");
	This_.processPhoneNumber(2);	
}

SceneChangePhoneNumberSelect.prototype.AdjustTextFont = function(Index){

	var CurLangID = ResMgr.GetCurLanguage();
	var TextObj;
	
 	if(CurLangID == ENUM_TV_LANGUAGE.MKD || CurLangID == ENUM_TV_LANGUAGE.NOR || CurLangID == ENUM_TV_LANGUAGE.RUS || CurLangID == ENUM_TV_LANGUAGE.UKR)
 	{ 		
		if(Index == -1)
		{
	 		TextObj =  "#changePhoneNumberListItem" +  this.changedFontIndex + "Text";
	 		alert("Changed Text >>> " + TextObj);			
			$(TextObj).css('font-size', "15px" );			
			this.changedFontIndex  = 0;
		}
		else{
			this.changedFontIndex = Index + 1;
	 		TextObj =  "#changePhoneNumberListItem" +  this.changedFontIndex  + "Text";
	 		alert("Changed Text >>> " + TextObj);
			$(TextObj).css('font-size', "14px" );
		}	
   	}
   	//temp
 	else if(CurLangID == ENUM_TV_LANGUAGE.TAM)
 	{ 		
		if(Index == -1)
		{
	 		TextObj =  "#changePhoneNumberListItem" +  this.changedFontIndex + "Text";		
			$(TextObj).css('font-size', "15px" );			
			this.changedFontIndex  = 0;
		}
		else{
			this.changedFontIndex = Index + 1;
	 		TextObj =  "#changePhoneNumberListItem" +  this.changedFontIndex  + "Text";
			$(TextObj).css('font-size', "17px" );
		}	
   	}   	
   	//mulitple text
   	else if(CurLangID == ENUM_TV_LANGUAGE.POR || CurLangID == ENUM_TV_LANGUAGE.ROM || CurLangID == ENUM_TV_LANGUAGE.SPA || CurLangID == ENUM_TV_LANGUAGE.BUL ||
   		CurLangID == ENUM_TV_LANGUAGE.DEU || CurLangID == ENUM_TV_LANGUAGE.FRA)
   	{

		if(Index == -1)
		{
	 		TextObj =  "#changePhoneNumberListItem" +  this.changedFontIndex + "Text";
	 		alert("Changed Text >>> " + TextObj);			
			$(TextObj).removeClass('cChangePhoneNumberList_Text_Mulity');
			$(TextObj).addClass('cChangePhoneNumberList_Text');
			this.changedFontIndex  = 0;
		}
		else{
			this.changedFontIndex = Index + 1;
	 		TextObj =  "#changePhoneNumberListItem" +  this.changedFontIndex  + "Text";
	 		alert("Changed Text >>> " + TextObj);
			$(TextObj).removeClass('cChangePhoneNumberList_Text');
			$(TextObj).addClass('cChangePhoneNumberList_Text_Mulity');
		}
   		
   	}
}

SceneChangePhoneNumberSelect.prototype.CheckReverseOSD = function(){
	
	var CurLangID = ResMgr.GetCurLanguage();
	
 	if(CurLangID == ENUM_TV_LANGUAGE.ARA || CurLangID == ENUM_TV_LANGUAGE.PER || CurLangID == ENUM_TV_LANGUAGE.URD || CurLangID == ENUM_TV_LANGUAGE.HEB)
 	{ 		
 		this.IsReverseOSD = true;
 	}
}
